# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_Variable Class Reference

`#include <PDataStd_Variable.hxx>`

Inheritance diagram for PDataStd_Variable:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_Variable ()
Standard_EXPORT | PDataStd_Variable (const Standard_Boolean constant)
Standard_EXPORT void | Constant (const Standard_Boolean status)
Standard_EXPORT Standard_Boolean | Constant () const
Standard_EXPORT void | Unit (const Handle(PCollection_HAsciiString)&unit)
Standard_EXPORT Handle_PCollection_HAsciiString | Unit () const
| PDataStd_Variable (const Storage_stCONSTclCOM &a)
Standard_Boolean | _CSFDB_GetPDataStd_VariableisConstant () const
void | _CSFDB_SetPDataStd_VariableisConstant (const Standard_Boolean p)
| Handle (PCollection_HAsciiString) _CSFDB_GetPDataStd_VariablemyUnit() const
void | _CSFDB_SetPDataStd_VariablemyUnit (const Handle(PCollection_HAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | isConstant
Handle_PCollection_HAsciiString | myUnit

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_Variable::PDataStd_Variable | ( |  | ) |

Standard_EXPORT PDataStd_Variable::PDataStd_Variable | ( | const Standard_Boolean | constant | ) |

PDataStd_Variable::PDataStd_Variable | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PDataStd_Variable::_CSFDB_GetPDataStd_VariableisConstant | ( |  | ) | const`[inline]`

void PDataStd_Variable::_CSFDB_SetPDataStd_VariableisConstant | ( | const Standard_Boolean | p | ) | `[inline]`

void PDataStd_Variable::_CSFDB_SetPDataStd_VariablemyUnit | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

Standard_EXPORT Standard_Boolean PDataStd_Variable::Constant | ( |  | ) | const

Standard_EXPORT void PDataStd_Variable::Constant | ( | const Standard_Boolean | status | ) |

Standard_EXPORT const PDataStd_Variable::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_Variable::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

Standard_EXPORT Handle_PCollection_HAsciiString PDataStd_Variable::Unit | ( |  | ) | const

Standard_EXPORT void PDataStd_Variable::Unit | ( | const Handle(PCollection_HAsciiString)& | unit | ) |

## Field Documentation

Standard_Boolean PDataStd_Variable::isConstant `[private]`

Handle_PCollection_HAsciiString PDataStd_Variable::myUnit `[private]`

The documentation for this class was generated from the following file:

- PDataStd_Variable.hxx